%define api_ver		5
%define major		0

%define libname		%mklibname gedit-amtk %{api_ver} %{major}
%define girname		%mklibname gedit-amtk-gir %{api_ver}
%define devname		%mklibname gedit-amtk %{api_ver} -d

Name:		libgedit-amtk
Version:	5.9.1
Release:	%mkrel 1
Summary:	Gedit Technology - Actions, Menus and Toolbars Kit for GTK applications
License:	LGPL-3.0-or-later
Group:		Graphical desktop/GNOME
Url:		https://gitlab.gnome.org/World/gedit/libgedit-amtk
Source0:	https://gitlab.gnome.org/World/gedit/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vapigen)
Obsoletes:	amtk < 5.8.0

%description
Amtk is the acronym for "Actions, Menus and Toolbars Kit". It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

libgedit-amtk is part of [Gedit Technology](https://gedit-technology.github.io/).

%package -n	%{libname}
Summary:	Actions, Menus and Toolbars Kit for GTK applications
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}amtk5_0 < 5.8.0

%description -n	%{libname}
Amtk is the acronym for "Actions, Menus and Toolbars Kit". It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

libgedit-amtk is part of [Gedit Technology](https://gedit-technology.github.io/).

This package contains shared Amtk library.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}amtk-gir5 < 5.8.0

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-amtk-devel = %{version}-%{release}
Obsoletes:	%{_lib}amtk5-devel < 5.8.0

%description -n	%{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson \
	-Dgtk_doc=true \
	-Dgobject_introspection=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api_ver}

%check
%meson_test

%files -f %{name}-%{api_ver}.lang
%doc NEWS README*

%files -n %{libname}
%doc NEWS README*
%license LICENSES/*
%{_libdir}/%{name}-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%license LICENSES/*
%{_libdir}/girepository-1.0/Amtk-%{api_ver}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/libgedit-amtk-%{api_ver}/
%{_includedir}/%{name}-%{api_ver}/
%{_libdir}/%{name}-%{api_ver}.so
%{_libdir}/pkgconfig/%{name}-%{api_ver}.pc
%{_datadir}/gir-1.0/Amtk-%{api_ver}.gir


%changelog
* Sat May 03 2025 daviddavid <daviddavid> 5.9.1-1.mga10
+ Revision: 2180510
- new version: 5.9.1
+ danf <danf>
- Switch URL to https

* Wed Sep 18 2024 daviddavid <daviddavid> 5.9.0-1.mga10
+ Revision: 2098007
- new version 5.9.0
- improve description

* Mon Sep 11 2023 wally <wally> 5.8.0-4.mga10
+ Revision: 1986310
- replace old amtk

* Mon Sep 11 2023 tv <tv> 5.8.0-3.mga10
+ Revision: 1986102
- Explicitely conflict with lib64amtk-gir5
- Explicitely conflict with lib64amtk5-devel

* Sat Sep 02 2023 daviddavid <daviddavid> 5.8.0-1.mga10
+ Revision: 1983528
- initial package libgedit-amtk

